All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
forwards.h File Reference

This file provides the forward declarations for the OpenCL layer of ViennaCL. More...

`#include <stddef.h>`

Go to the source code of this file.

## Classes

struct | viennacl::ocl::gpu_tag
| A tag identifying OpenCL devices as GPUs. More...
struct | viennacl::ocl::cpu_tag
| A tag identifying OpenCL devices as CPUs. More...
struct | viennacl::ocl::accelerator_tag
| A tag identifying OpenCL devices as accelerators (e.g. Intel Xeon Phi) More...
struct | viennacl::ocl::default_tag
| A tag denoting the default OpenCL device type (SDK-specific) More...
class | viennacl::ocl::handle< OCL_TYPE >
| Handle class the effectively represents a smart pointer for OpenCL handles. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::ocl
| OpenCL backend. Manages platforms, contexts, buffers, kernels, etc.

## Macros

#define | VIENNACL_OCL_MAX_DEVICE_NUM 8

## Functions

template<typename KernelType >
void | viennacl::ocl::enqueue (KernelType &k, viennacl::ocl::command_queue const &queue)
| Enqueues a kernel in the provided queue. More...
viennacl::ocl::context & | viennacl::ocl::current_context ()
| Convenience function for returning the current context. More...
viennacl::ocl::device const & | viennacl::ocl::current_device ()
| Convenience function for returning the active device in the current context. More...

## Detailed Description

This file provides the forward declarations for the OpenCL layer of ViennaCL.

Definition in file forwards.h.

## Macro Definition Documentation

#define VIENNACL_OCL_MAX_DEVICE_NUM 8

Definition at line 25 of file forwards.h.